package ru.myitschool.work.ui.entrylist

import android.content.Context
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import dagger.hilt.android.lifecycle.HiltViewModel
import dagger.hilt.android.qualifiers.ApplicationContext
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asSharedFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.launch
import ru.myitschool.work.ui.entrylist.adapter.EntryHistoryEntity
import ru.myitschool.work.ui.profile.ProfileViewModel
import ru.myitschool.work.ui.profile.ProfileViewModel.Action
import ru.myitschool.work.ui.profile.ProfileViewModel.State
import ru.myitschool.work.utils.MutablePublishFlow
import java.text.SimpleDateFormat
import java.util.Locale
import javax.inject.Inject


@HiltViewModel
class EntryListViewModel @Inject constructor(
    @ApplicationContext private val context: Context,
) : ViewModel() {
    private val _action = MutablePublishFlow<Action>()
    val action = _action.asSharedFlow()

    // Новый список данных
    private val entryList = listOf(
        EntryHistoryEntity("type1", "2023-10-01T12:00:00", "id001"),
        EntryHistoryEntity("type2", "2023-10-02T13:00:00", "id002"),
        EntryHistoryEntity("type3", "2023-10-03T14:00:00", "id003"),
        EntryHistoryEntity("type4", "2023-10-04T15:00:00", "id004"),
        EntryHistoryEntity("type5", "2023-10-05T16:00:00", "id005")
    )

    // Функция для получения данных
    fun getEntryList(): List<EntryHistoryEntity> {
        return entryList
    }

    fun closeEntryList(){
        viewModelScope.launch {
            _action.emit(Action.OpenProfile)
        }
    }

    sealed interface Action {
        data object OpenProfile: Action
    }
}